<%- include('../partials/header') %>
<%- include('../partials/navbar') %>

<div class="container mt-4">

    <div>
        <p class="fs-4 fw-bold">Users :
            <a href="/create" class="btn btn-success fs-6">
                Add
                <i class="fa fa-plus" aria-hidden="true"></i>
            </a>
        </p>
        <table class="table table-hover table-striped text-center">
            <tr>
                <th>ID</th>
                <th>User Name</th>
                <th>Email</th>
                <th>Action</th>
            </tr>
            <% users.forEach(u => { %>
            <tr>
                <td><%= u.id %></td>
                <td><%= u.userName %></td>
                <td><%= u.email %></td>
                <td>
                    <a href="/show/<%= u.id %>" class="btn btn-warning fs-6">
                        <i class="fa fa-eye" aria-hidden="true"></i>
                    </a>
                    <a href="/edit/<%= u.id %>" class="btn btn-primary fs-6">
                        <i class="fa fa-pencil" aria-hidden="true"></i>
                    </a>
                    <a href="/api/user/delete/<%= u.id %>" class="btn btn-danger fs-6">
                        <i class="fa fa-times" aria-hidden="true"></i>
                    </a>
                </td>
            </tr>
            <% }) %>
        </table>
    </div>

</div>


<%- include('../partials/footer') %>